import { buildLookupOptions } from './helpers';
describe('dependent lookup editor helper test', function () {
    it('should return sorted options', function () {
        expect(buildLookupOptions({
            code1: { displayName: 'cName' },
            code2: { displayName: 'bName' },
            code3: { displayName: 'aName' }
        })).toEqual([
            {
                lookupCode: 'code3',
                value: 'aName'
            },
            {
                lookupCode: 'code2',
                value: 'bName'
            },
            {
                lookupCode: 'code1',
                value: 'cName'
            }
        ]);
    });
});
